mdy.date {survival} | R Documentation

## Convert to Julian Dates

### Description

Given a month, day, and year, returns the number of days since January 1, 1960.

### Usage

    mdy.date(month, day, year, nineteen = TRUE, fillday = FALSE,
             fillmonth = FALSE)

### Arguments

`month` | vector of months.
`day` | vector of days.
`year` | vector of years.
`nineteen` | if `TRUE`, year values between 0 and 99 are assumed to be in the 20th century A.D.; otherwise, if `FALSE`, they are assumed to be in the 1st century A.D.
`fillday` | if `TRUE`, then missing days are replaced with 15.
`fillmonth` | if `TRUE`, then a missing month causes the month and day to be set to 7/1.

### Details

The date functions are particularly useful in computing time spans, such as number of days on test, and similar functions can be found in other statistical packages. The baseline date of Jan 1, 1960 is, of course, completely arbitrary (it is the same one used by SAS).

The `fillday` and `fillmonth` options are perhaps useful only to the author and a very few others: we sometimes deal with patients whose birth date was in the 1800's, and only the month or even only the year is known. When the interval is greater than 80 years, a filler seems defensible.

### Value

a vector of Julian dates.

### References

Press, W. H., Teukolsky, S. A., Vetterling, W. T., and Flannery, B. P. (1992). Numerical Recipes: The Art of Scientific Computing (Second Edition). Cambridge University Press.

### See Also

`date.mmddyy`, `date.ddmmmyy`, `date.mmddyyyy`

### Examples

    mdy.date(3, 10, 53)
    xzt <-1:10
    xzy <- as.date(xzt)
    test <- data.frame(x = xzt, date = xzy)
    summary(test)

[Package Contents]